import request from '@/utils/request'

// 查询干奶记录列表
export function listDrymilk(query) {
  return request({
    url: '/drymilk/drymilk/list',
    method: 'get',
    params: query
  })
}

// 查询干奶记录详细
export function getDrymilk(id) {
  return request({
    url: '/drymilk/drymilk/' + id,
    method: 'get'
  })
}

// 根据耳号查询羊只ID
export function getSheepIdByManageTags(manageTags) {
  return request({
    url: '/drymilk/drymilk/sheep/' + manageTags,
    method: 'get'
  })
}

// 新增干奶记录
export function addDrymilk(data) {
  return request({
    url: '/drymilk/drymilk',
    method: 'post',
    data: data
  })
}

// 修改干奶记录
export function updateDrymilk(data) {
  return request({
    url: '/drymilk/drymilk',
    method: 'put',
    data: data
  })
}

// 删除干奶记录
export function delDrymilk(id) {
  return request({
    url: '/drymilk/drymilk/' + id,
    method: 'delete'
  })
}